## btrfs-compsize 1.1

=== Makefile ===
PREFIX ?= /
CC ?= gcc
CFLAGS ?= -Wall -std=gnu90

all: compsize

debug: CFLAGS += -Wall -DDEBUG -g
debug: compsize

compsize.o: compsize.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^

radix-tree.o: radix-tree.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^

compsize: compsize.o radix-tree.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

clean:
	rm -f compsize
	rm -f *.o

install:
	install -Dm755 compsize $(PREFIX)/usr/bin/compsize
	gzip -9n <compsize.8 >$(PREFIX)/usr/share/man/man8/compsize.8.gz

=== debian/changelog ===
btrfs-compsize (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Feb 2018 21:47:22 +0100

btrfs-compsize (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add a watch file.
  * dh compat 11.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 30 Dec 2017 23:10:20 +0100

btrfs-compsize (0~88-g58ff588-1) unstable; urgency=medium

  * Initial release, closes: #874313

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 18 Nov 2017 03:23:55 +0100

=== debian/control ===
Source: btrfs-compsize
Section: admin
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>> 11~), btrfs-progs
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: http://github.com/kilobyte/compsize
Vcs-Git: https://github.com/kilobyte/compsize.git -b debian
Vcs-Browser: https://github.com/kilobyte/compsize/tree/debian

Package: btrfs-compsize
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: btrfs-progs
Description: calculate compression ratio of a set of files on btrfs
 Compsize takes a list of files on a btrfs filesystem (recursing directories)
 and measures used compression types and the effective compression ratio.
 .
 Because of partially used extents on one hand, and multiple reflinks to an
 extent on the other, the definition of used space can be quite unintuitive.
 This program provides answers at different stages:
  * blocks on the disk
  * uncompressed extents
  * apparent file sizes (sans holes)

## btrfs-compsize 1.2

=== debian/changelog ===
btrfs-compsize (1.2-1~bpo9+1) stretch-backports; urgency=medium

  * Backport to stretch.
  * Use dh 10.
  * Revert to stretch's location of btrfs' headers.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 08 Jun 2018 12:19:45 +0200

btrfs-compsize (1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Jun 2018 19:04:27 +0200

btrfs-compsize (1.1-2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Update build-dependencies to use the new libbtrfs-dev package.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 16 May 2018 15:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>> 11~), btrfs-progs
+Build-Depends: debhelper (>= 10~), btrfs-progs
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Homepage: http://github.com/kilobyte/compsize

## btrfs-compsize 1.3

=== Makefile ===
PREFIX ?= /
CC ?= gcc
CFLAGS ?= -Wall -std=gnu90
SRC_DIR := $(dir $(lastword $(MAKEFILE_LIST)))


BIN := $(SRC_DIR)/compsize
C_FILES := $(wildcard $(SRC_DIR)/*.c)
OBJ_FILES := $(patsubst $(SRC_DIR)/%.c, $(SRC_DIR)/%.o, $(C_FILES))


all: $(BIN)

debug: CFLAGS += -Wall -DDEBUG -g
debug: $(BIN)


$(SRC_DIR)/%.o: $(SRC_DIR)/%.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $^

$(BIN): $(OBJ_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

BIN_I := $(PREFIX)/usr/bin/compsize

$(BIN_I): $(BIN)
	install -Dm755 $< $@

MAN_I := $(PREFIX)/usr/share/man/man8/compsize.8.gz

$(MAN_I): $(SRC_DIR)/compsize.8
	gzip -9n < $< > $@

install: $(BIN_I) $(MAN_I)

uninstall:
	@rm -vf $(BIN_I) $(MAN_I)

clean:
	@rm -vf $(BIN) $(OBJ_FILES)

=== debian/changelog ===
btrfs-compsize (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI in Homepage field.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Feb 2019 13:35:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 10~), btrfs-progs
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>> 11~), libbtrfs-dev | btrfs-progs (<< 4.16.1~)
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
-Homepage: http://github.com/kilobyte/compsize
+Homepage: https://github.com/kilobyte/compsize
 Vcs-Git: https://github.com/kilobyte/compsize.git -b debian
 Vcs-Browser: https://github.com/kilobyte/compsize/tree/debian

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	+$(MAKE) $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_install:

## btrfs-compsize 1.5

=== debian/changelog ===
btrfs-compsize (1.5-1) unstable; urgency=medium

  * New upstream release (with a massive speed increase!).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Feb 2021 00:08:56 +0100

btrfs-compsize (1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Jan 2021 21:22:12 +0100

btrfs-compsize (1.3-2) unstable; urgency=medium

  * Fix cross builds [Helmut Grohne].  Closes: #924292.
  * Drop a pre-stretch-bpo B-Dep.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 22 Jul 2019 22:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>> 11~), libbtrfs-dev | btrfs-progs (<< 4.16.1~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (=12), libbtrfs-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/kilobyte/compsize
 Vcs-Git: https://github.com/kilobyte/compsize.git -b debian

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_install:
